;; $Id: //guest/paul_krause/perforce/integrations/jdev/prj.el#2 $
(let ((dir (file-name-directory (if jde-xemacsp path file))))
  (let ((jdev-lib "c:/Apps/jdev9i/jdev/lib")
	(p4-home (expand-file-name "../../api/java/p4package" dir))
	(src (expand-file-name "src" dir))
	(classes (expand-file-name "classes" dir)))
    (or (file-exists-p p4-home)
	(setq p4-home "c:/src/perforce/paul_krause/perforce/api/java/p4package"))
    (let ((p4-api-libs
	   (list p4-home
		 (expand-file-name "build" p4-home)
		 (expand-file-name "dist/p4.jar" p4-home)))
	  (jdev-api-libs
	   (list
	    (expand-file-name "jdscm.jar" jdev-lib)
	    (expand-file-name "jdev.jar" jdev-lib)
	    (expand-file-name "jdukshare.jar" jdev-lib))))
      (setq jde-global-classpath (append (list classes)
					 jdev-api-libs
					 p4-api-libs)
	    jde-compile-option-directory classes
	    jde-db-source-directories (list src p4-home)
	    jde-run-working-directory dir
	    c-basic-offset 3
	    tab-width 3
	    indent-tabs-mode nil))))
