package com.perforce.jdev;
import java.awt.Component;
import java.util.Comparator;
import java.util.EventObject;

import oracle.ide.Ide;
import oracle.ide.addin.Context;
import oracle.ide.addin.View;
import oracle.ide.docking.DockableWindow;
import oracle.ide.explorer.TNode;
import oracle.ide.explorer.TreeExplorer;
import oracle.ide.model.Element;
import oracle.ide.navigator.NodeOverlayManager;
import oracle.ide.navigator.NavigatorWindow;

public class P4NavigatorWindow extends DockableWindow implements NavigatorWindow {

   public P4NavigatorWindow () {
      this(Ide.getNavigatorManager().getSystemNavigator());
   }
   
   public P4NavigatorWindow (View owner) {
      super(owner, NAVIGATOR_WINDOW_ID);
   }
   
   private boolean rootVisiable;

   public void setRootVisible(boolean visible) {
      rootVisiable = visible;
   }

   public void collapse(TNode tn, boolean all) {
   }

   public void expand(TNode tn, boolean all) {
   }

   public TNode findTNode(Element elm, TNode tn) {
      return null;
   }

   public void refresh(TNode tn) {
   }


   private Comparator childComparator;
   
   public Comparator getComparator() {
      return childComparator;
   }

   public void setComparator(Comparator c) {
      childComparator = c;
   }

   private NodeOverlayManager overlayManager = 
      Ide.getNavigatorManager().getOverlayManager();
   
   public NodeOverlayManager getOverlayManager() {
      return overlayManager;
   }

   public void setOverlayManager(NodeOverlayManager mgr) {
      overlayManager = mgr;
   }

   private P4Explorer treeExplorer = new P4Explorer();
   public TreeExplorer getTreeExplorer() {
      return treeExplorer;
   }

   private String tabName = "Perforce";
   public String getTabName() {
      return tabName;
   }

   private String titleName = "Perforce";
   public String getTitleName() {
      return titleName;
   }

   public Context getContext(EventObject event) {
      return treeExplorer.getContext(event);
   }

   public Component getGUI() {
      return treeExplorer.getGUI();
   }
}